Skip to main content

Organization Sub-Resource Endpoints

Manage departments, positions, teams, vendors, and organization settings.

Organization Departments​

Base Path: /api/organization-department​

GET    /api/organization-department           # List departments
GET /api/organization-department/:id # Get by ID
POST /api/organization-department # Create
PUT /api/organization-department/:id # Update
DELETE /api/organization-department/:id # Delete

Create Body:

{
"name": "Engineering",
"tags": [{ "id": "tag-uuid" }],
"members": [{ "id": "employee-uuid" }]
}

Organization Positions​

Base Path: /api/organization-position​

GET    /api/organization-position             # List positions
GET /api/organization-position/:id # Get by ID
POST /api/organization-position # Create
PUT /api/organization-position/:id # Update
DELETE /api/organization-position/:id # Delete

Organization Teams​

Base Path: /api/organization-team​

GET    /api/organization-team                 # List teams
GET /api/organization-team/:id # Get by ID
POST /api/organization-team # Create
PUT /api/organization-team/:id # Update
DELETE /api/organization-team/:id # Delete
GET /api/organization-team/me # My teams
GET /api/organization-team/count # Team count

Create Team Body:

{
"name": "Frontend Team",
"prefix": "FE",
"members": [{ "id": "employee-uuid", "role": "MANAGER" }],
"tags": [{ "id": "tag-uuid" }]
}

Organization Vendors​

Base Path: /api/organization-vendor​

GET    /api/organization-vendor               # List vendors
GET /api/organization-vendor/:id # Get by ID
POST /api/organization-vendor # Create
PUT /api/organization-vendor/:id # Update
DELETE /api/organization-vendor/:id # Delete

Organization Languages​

Base Path: /api/organization-language​

GET    /api/organization-language             # List
POST /api/organization-language # Add language
DELETE /api/organization-language/:id # Remove language

Organization Settings​

Base Path: /api/organization-setting​

GET    /api/organization-setting              # Get settings
POST /api/organization-setting # Create
PUT /api/organization-setting/:id # Update

Organization Recurring Expense​

Base Path: /api/organization-recurring-expense​

GET    /api/organization-recurring-expense             # List
GET /api/organization-recurring-expense/:id # Get by ID
POST /api/organization-recurring-expense # Create
PUT /api/organization-recurring-expense/:id # Update
DELETE /api/organization-recurring-expense/:id # Delete
GET /api/organization-recurring-expense/start-date # By date

Permissions​

ResourceView PermissionEdit Permission
DepartmentORG_DEPARTMENT_VIEWORG_DEPARTMENT_EDIT
Positionβ€”ORG_EMPLOYEES_EDIT
TeamORG_TEAM_VIEWORG_TEAM_EDIT
VendorORG_VENDORS_VIEWORG_VENDORS_EDIT